Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.namestore.interfaces
Class NSSubProduct

    java.lang.Object
      com.verisign.epp.namestore.interfaces.NSSubProduct

    public class NSSubProduct

extends java.lang.Object

NameStore sub-product id constants used with either `NSDomain.setSubProductID(String)`, `NSHost.setSubProductID(String)`, or `NSContact.setSubProductID(String). This list will be changed as NameStore offerings change.`

Field Summary
`static java.lang.String` | `BZ` Constant when targeting the BZ registry/sub-product.
`static java.lang.String` | `CC` Constant when targeting the CC registry/sub-product.
`static java.lang.String` | `COM` Constant when targeting the COM registry/sub-product.
`static java.lang.String` | `EDU` Constant when targeting the EDU registry/sub-product.
`static java.lang.String` | `JOBS` Constant when targeting the JOBS registry/sub-product.
`static java.lang.String` | `NAME` Constant when targeting the NAME registry/sub-product.
`static java.lang.String` | `NET` Constant when targeting the NET registry/sub-product.
`static java.lang.String` | `TV` Constant when targeting the TV registry/sub-product.

Constructor Summary
`NSSubProduct()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BZ

    public static final java.lang.String BZ

  Constant when targeting the BZ registry/sub-product.

  See Also:
    Constant Field Values

### CC

    public static final java.lang.String CC

  Constant when targeting the CC registry/sub-product.

  See Also:
    Constant Field Values

### TV

    public static final java.lang.String TV

  Constant when targeting the TV registry/sub-product.

  See Also:
    Constant Field Values

### COM

    public static final java.lang.String COM

  Constant when targeting the COM registry/sub-product.

  See Also:
    Constant Field Values

### NET

    public static final java.lang.String NET

  Constant when targeting the NET registry/sub-product.

  See Also:
    Constant Field Values

### EDU

    public static final java.lang.String EDU

  Constant when targeting the EDU registry/sub-product.

  See Also:
    Constant Field Values

### JOBS

    public static final java.lang.String JOBS

  Constant when targeting the JOBS registry/sub-product.

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  Constant when targeting the NAME registry/sub-product. NAME does not use the NameStore Extension, so it is defined as `null`. A `null` sub-product can be used when targeting a registry that does not support sub-product routing.

Constructor Detail

### NSSubProduct

    public NSSubProduct()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.